---

inputType: "CA10__CaGoogleSqlInstance__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaGoogleSqlInstance__c/object.extracts.yaml
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "This is not a Mysql database instance."
    check:
      NOT:
        arg:
          CONTAINS:
            arg:
              EXTRACT: "CA10__databaseVersion__c"
            substring:
              TEXT: "MYSQL" 
  - status: "COMPLIANT"
    currentStateMessage: "skip_show_database database flag is set to on."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "caExtract_databaseFlags_skip_show_database_flagValue__c"
        right:
          TEXT: "on"
otherwise:
  status: "INCOMPLIANT"
  currentStateMessage: "skip_show_database database flag isn't set to on."
  remediationMessage: "Set skip_show_database database flag to on."